> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-04-01/api/recurring-grants/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # Get Recurring Grant GET https://api.givechariot.com/v1/recurring_grants/{id} Retrieve a recurring grant with a given ID. Reference: https://docs.givechariot.com/api/recurring-grants/get ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.givechariot.com` (Production, default) - `https://sandboxapi.givechariot.com` (Sandbox) ## Request ### Path parameters - `id` (string, required) — The unique id of the recurring grant. The format should be a v4 UUID according to RFC 4122. ## Response ### 200 OK - `id` (string, required) — The unique identifier for the object - `workflowSessionId` (string, required) — ID of the Connect Workflow Session associated with this grant - `fundId` (string, required) — ID of the donor advised fund - `frequency` (enum, required) — How often the DAF provider will submit the recurring grant. At the moment, monthly is the only supported frequency. - Allowed values: `MONTHLY` - `amount` (double, required) — The grant amount expressed in units of whole cents - `trackingId` (string, optional) — The tracking ID for the grant - `externalRecurringGrantId` (string, optional) — ID of the grant associated with the donor advised fund - `createdAt` (datetime, optional) — Time when this object was created; expressed in RFC 3339 format - `updatedAt` (datetime, optional) — Time when this object was last updated; expressed in RFC 3339 format - `firstName` (string, optional) — The donor's first name - `lastName` (string, optional) — The donor's last name - `phone` (string, optional) — The donor's phone number - `email` (string, optional) — The donor's email - `note` (string, optional) — An note inputted by the user at submisson - `address` (GrantAddress, optional) ## Errors ### 400 Bad Request Error The request is invalid or contains invalid parameters - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 401 Unauthorized Error Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller. - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 403 Forbidden Error Access denied - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 404 Not Found Error Resource Not Found - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 500 Internal Server Error Internal Server Error - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ## Types ### GrantAddress - `line1` (string, optional) — Address line 1 (e.g. street, PO Box, or company name). Maximum length: 255 characters. - `line2` (string, optional) — Address line 2 (e.g. apartment, suite, unit, or building). Maximum length: 255 characters. - `city` (string, optional) — City, district, suburb, town, or village.. Maximum length: 255 characters. - `state` (string, optional) — State, county, province, or region. Maximum length: 255 characters. - `postalCode` (string, optional) — ZIP or postal code. Maximum length: 255 characters. ## Examples **Response** ```json { "id": "1e60800e-849b-43d1-870e-57afc8d75473", "workflowSessionId": "cfe09e64-6a74-4dab-a565-361185a6f248", "fundId": "daf-id", "frequency": "MONTHLY", "amount": 15000, "createdAt": "2021-08-10 15:00:00.000", "updatedAt": "2021-08-11 15:34:00.000" } ```